Work at SourceForge, help us to make it a better place! We have an immediate need for a Support Technician in our San Francisco or Denver office.

Close

#273 RSYNCD Deamon causes sudden reboot...

v0.685b
open
nobody
5
2012-10-28
2007-11-21
Halvsvenskeren
No

I've built an 1TB multimedie server and under heavy load, it suddenly reboots, without warning and there is nothing in the log.

I then disabled RSYNCD and now its stable and does not reboot.

So there has to be an error in the RSYNCD module.

There is no problem under normal use, but sustained heavy writing on the disks, cause the NAS to crash....

Disks are 250GB SATA drives from Hitachi on a ASRock FULLhd motherboard with Intel Quadcore 2,4ghz proc., and 1GB memory.

NIC is Intel PRO1000 GT.

Discussion

  • Dan Merschi
    Dan Merschi
    2007-11-22

    Logged In: YES
    user_id=1512153
    Originator: NO

    Rsync daemon works as expected(for me :)
    Fact: on reboot the log's are lost.
    Solution: Use a syslogd daemon to catch the errors.
    See: http://www.freenaskb.info/kb/?View=entry&EntryID=139

    Regards,
    Dan

     
  • Halvsvenskeren
    Halvsvenskeren
    2007-11-22

    Logged In: YES
    user_id=1939765
    Originator: YES

    192.168.100.11: <6>Sep 1 19:38:58 syslogd: kernel boot file is /boot/kernel/kernel
    192.168.100.11: <43>Sep 1 19:39:32 syslogd: exiting on signal 15
    192.168.100.11: <6>Sep 1 19:39:32 syslogd: kernel boot file is /boot/kernel/kernel
    192.168.100.11: <43>Sep 1 19:45:11 syslogd: exiting on signal 15
    192.168.100.11: <6>Sep 1 19:45:11 syslogd: kernel boot file is /boot/kernel/kernel
    192.168.100.11: <27>Sep 1 19:55:04 nmbd[172]: [2007/09/01 19:55:04, 0] nmbd/nmbd_incomingrequests.c:process_name_refresh_request(172)
    192.168.100.11: <27>Sep 1 19:55:04 nmbd[172]: [2007/09/01 19:55:04, 0] nmbd/nmbd_incomingrequests.c:process_name_refresh_request(172)
    192.168.100.11: <27>Sep 1 19:55:04 nmbd[172]: process_name_refresh_request: unicast name registration request received for name 411-FILM<00> from IP 192.168.100.11 on subnet UNICAST_SUBNET.
    192.168.100.11: <27>Sep 1 19:55:04 nmbd[172]: process_name_refresh_request: unicast name registration request received for name 411-FILM<00> from IP 192.168.100.11 on subnet UNICAST_SUBNET.
    192.168.100.11: <27>Sep 1 19:55:04 nmbd[172]: [2007/09/01 19:55:04, 0] nmbd/nmbd_incomingrequests.c:process_name_refresh_request(173)
    192.168.100.11: <27>Sep 1 19:55:04 nmbd[172]: [2007/09/01 19:55:04, 0] nmbd/nmbd_incomingrequests.c:process_name_refresh_request(173)
    192.168.100.11: <27>Sep 1 19:55:04 nmbd[172]: Error - should be sent to WINS server
    192.168.100.11: <27>Sep 1 19:55:04 nmbd[172]: Error - should be sent to WINS server
    192.168.100.11: <27>Sep 1 19:55:04 nmbd[172]: [2007/09/01 19:55:04, 0] nmbd/nmbd_incomingrequests.c:process_name_refresh_request(172)
    192.168.100.11: <27>Sep 1 19:55:04 nmbd[172]: [2007/09/01 19:55:04, 0] nmbd/nmbd_incomingrequests.c:process_name_refresh_request(172)
    192.168.100.11: <27>Sep 1 19:55:04 nmbd[172]: process_name_refresh_request: unicast name registration request received for name 411-FILM<03> from IP 192.168.100.11 on subnet UNICAST_SUBNET.
    192.168.100.11: <27>Sep 1 19:55:04 nmbd[172]: process_name_refresh_request: unicast name registration request received for name 411-FILM<03> from IP 192.168.100.11 on subnet UNICAST_SUBNET.
    192.168.100.11: <27>Sep 1 19:55:04 nmbd[172]: [2007/09/01 19:55:04, 0] nmbd/nmbd_incomingrequests.c:process_name_refresh_request(173)
    192.168.100.11: <27>Sep 1 19:55:04 nmbd[172]: [2007/09/01 19:55:04, 0] nmbd/nmbd_incomingrequests.c:process_name_refresh_request(173)
    192.168.100.11: <27>Sep 1 19:55:04 nmbd[172]: Error - should be sent to WINS server
    192.168.100.11: <27>Sep 1 19:55:04 nmbd[172]: Error - should be sent to WINS server
    192.168.100.11: <27>Sep 1 19:55:04 nmbd[172]: [2007/09/01 19:55:04, 0] nmbd/nmbd_incomingrequests.c:process_name_refresh_request(172)
    192.168.100.11: <27>Sep 1 19:55:04 nmbd[172]: [2007/09/01 19:55:04, 0] nmbd/nmbd_incomingrequests.c:process_name_refresh_request(172)
    192.168.100.11: <27>Sep 1 19:55:04 nmbd[172]: process_name_refresh_request: unicast name registration request received for name 411-FILM<20> from IP 192.168.100.11 on subnet UNICAST_SUBNET.
    192.168.100.11: <27>Sep 1 19:55:04 nmbd[172]: process_name_refresh_request: unicast name registration request received for name 411-FILM<20> from IP 192.168.100.11 on subnet UNICAST_SUBNET.
    192.168.100.11: <27>Sep 1 19:55:04 nmbd[172]: [2007/09/01 19:55:04, 0] nmbd/nmbd_incomingrequests.c:process_name_refresh_request(173)
    192.168.100.11: <27>Sep 1 19:55:04 nmbd[172]: [2007/09/01 19:55:04, 0] nmbd/nmbd_incomingrequests.c:process_name_refresh_request(173)
    192.168.100.11: <27>Sep 1 19:55:04 nmbd[172]: Error - should be sent to WINS server
    192.168.100.11: <27>Sep 1 19:55:04 nmbd[172]: Error - should be sent to WINS server
    192.168.100.11: <27>Sep 1 19:55:04 nmbd[172]: [2007/09/01 19:55:04, 0] nmbd/nmbd_nameregister.c:register_name_response(130)
    192.168.100.11: <27>Sep 1 19:55:04 nmbd[172]: [2007/09/01 19:55:04, 0] nmbd/nmbd_nameregister.c:register_name_response(130)
    192.168.100.11: <27>Sep 1 19:55:04 nmbd[172]: register_name_response: WINS server at IP 192.168.100.11 rejected our name registration of 411-FILM<00> IP 192.168.100.11 with error code 1.
    192.168.100.11: <27>Sep 1 19:55:04 nmbd[172]: register_name_response: WINS server at IP 192.168.100.11 rejected our name registration of 411-FILM<00> IP 192.168.100.11 with error code 1.
    192.168.100.11: <27>Sep 1 19:55:04 nmbd[172]: [2007/09/01 19:55:04, 0] nmbd/nmbd_namelistdb.c:standard_fail_register(305)
    192.168.100.11: <27>Sep 1 19:55:04 nmbd[172]: [2007/09/01 19:55:04, 0] nmbd/nmbd_namelistdb.c:standard_fail_register(305)
    192.168.100.11: <27>Sep 1 19:55:04 nmbd[172]: standard_fail_register: Failed to register/refresh name 411-FILM<00> on subnet UNICAST_SUBNET
    192.168.100.11: <27>Sep 1 19:55:04 nmbd[172]: standard_fail_register: Failed to register/refresh name 411-FILM<00> on subnet UNICAST_SUBNET
    192.168.100.11: <27>Sep 1 19:55:04 nmbd[172]: [2007/09/01 19:55:04, 0] nmbd/nmbd_nameregister.c:register_name_response(130)
    192.168.100.11: <27>Sep 1 19:55:04 nmbd[172]: [2007/09/01 19:55:04, 0] nmbd/nmbd_nameregister.c:register_name_response(130)
    192.168.100.11: <27>Sep 1 19:55:04 nmbd[172]: register_name_response: WINS server at IP 192.168.100.11 rejected our name registration of 411-FILM<03> IP 192.168.100.11 with error code 1.
    192.168.100.11: <27>Sep 1 19:55:04 nmbd[172]: register_name_response: WINS server at IP 192.168.100.11 rejected our name registration of 411-FILM<03> IP 192.168.100.11 with error code 1.
    192.168.100.11: <27>Sep 1 19:55:04 nmbd[172]: [2007/09/01 19:55:04, 0] nmbd/nmbd_namelistdb.c:standard_fail_register(305)
    192.168.100.11: <27>Sep 1 19:55:04 nmbd[172]: [2007/09/01 19:55:04, 0] nmbd/nmbd_namelistdb.c:standard_fail_register(305)
    192.168.100.11: <27>Sep 1 19:55:04 nmbd[172]: standard_fail_register: Failed to register/refresh name 411-FILM<03> on subnet UNICAST_SUBNET
    192.168.100.11: <27>Sep 1 19:55:04 nmbd[172]: standard_fail_register: Failed to register/refresh name 411-FILM<03> on subnet UNICAST_SUBNET
    192.168.100.11: <27>Sep 1 19:55:04 nmbd[172]: [2007/09/01 19:55:04, 0] nmbd/nmbd_nameregister.c:register_name_response(130)
    192.168.100.11: <27>Sep 1 19:55:04 nmbd[172]: [2007/09/01 19:55:04, 0] nmbd/nmbd_nameregister.c:register_name_response(130)
    192.168.100.11: <27>Sep 1 19:55:04 nmbd[172]: register_name_response: WINS server at IP 192.168.100.11 rejected our name registration of 411-FILM<20> IP 192.168.100.11 with error code 1.
    192.168.100.11: <27>Sep 1 19:55:04 nmbd[172]: register_name_response: WINS server at IP 192.168.100.11 rejected our name registration of 411-FILM<20> IP 192.168.100.11 with error code 1.
    192.168.100.11: <27>Sep 1 19:55:04 nmbd[172]: [2007/09/01 19:55:04, 0] nmbd/nmbd_namelistdb.c:standard_fail_register(305)
    192.168.100.11: <27>Sep 1 19:55:04 nmbd[172]: [2007/09/01 19:55:04, 0] nmbd/nmbd_namelistdb.c:standard_fail_register(305)
    192.168.100.11: <27>Sep 1 19:55:04 nmbd[172]: standard_fail_register: Failed to register/refresh name 411-FILM<20> on subnet UNICAST_SUBNET
    192.168.100.11: <27>Sep 1 19:55:04 nmbd[172]: standard_fail_register: Failed to register/refresh name 411-FILM<20> on subnet UNICAST_SUBNET
    192.168.100.11: <43>Sep 1 20:21:53 syslogd: sendto: Host is down
    192.168.100.11: <13>Sep 1 20:21:53 root: cron started
    192.168.100.11: <13>Sep 1 20:21:53 root: ZeronConf service started
    192.168.100.11: <27>Sep 1 20:21:57 nmbd[172]: [2007/09/01 20:21:57, 0] nmbd/nmbd_packets.c:process_nmb_request(1491)
    192.168.100.11: <27>Sep 1 20:21:57 nmbd[172]: [2007/09/01 20:21:57, 0] nmbd/nmbd_packets.c:process_nmb_request(1491)
    192.168.100.11: <27>Sep 1 20:21:57 nmbd[172]: process_nmb_request: Multihomed registration request must be directed at a WINS server.
    192.168.100.11: <27>Sep 1 20:21:57 nmbd[172]: process_nmb_request: Multihomed registration request must be directed at a WINS server.
    192.168.100.11: <27>Sep 1 20:21:57 nmbd[172]: [2007/09/01 20:21:57, 0] nmbd/nmbd_packets.c:process_nmb_request(1491)
    192.168.100.11: <27>Sep 1 20:21:57 nmbd[172]: [2007/09/01 20:21:57, 0] nmbd/nmbd_packets.c:process_nmb_request(1491)
    192.168.100.11: <27>Sep 1 20:21:57 nmbd[172]: process_nmb_request: Multihomed registration request must be directed at a WINS server.
    192.168.100.11: <27>Sep 1 20:21:57 nmbd[172]: process_nmb_request: Multihomed registration request must be directed at a WINS server.
    192.168.100.11: <27>Sep 1 20:21:57 nmbd[172]: [2007/09/01 20:21:57, 0] nmbd/nmbd_packets.c:process_nmb_request(1491)
    192.168.100.11: <27>Sep 1 20:21:57 nmbd[172]: [2007/09/01 20:21:57, 0] nmbd/nmbd_packets.c:process_nmb_request(1491)
    192.168.100.11: <27>Sep 1 20:21:57 nmbd[172]: process_nmb_request: Multihomed registration request must be directed at a WINS server.
    192.168.100.11: <27>Sep 1 20:21:57 nmbd[172]: process_nmb_request: Multihomed registration request must be directed at a WINS server.
    192.168.100.11: <27>Sep 1 20:22:17 nmbd[172]: [2007/09/01 20:22:17, 0] nmbd/nmbd_packets.c:process_nmb_request(1491)
    192.168.100.11: <27>Sep 1 20:22:17 nmbd[172]: [2007/09/01 20:22:17, 0] nmbd/nmbd_packets.c:process_nmb_request(1491)
    192.168.100.11: <27>Sep 1 20:22:17 nmbd[172]: process_nmb_request: Multihomed registration request must be directed at a WINS server.
    192.168.100.11: <27>Sep 1 20:22:17 nmbd[172]: process_nmb_request: Multihomed registration request must be directed at a WINS server.
    192.168.100.11: <27>Sep 1 20:22:17 nmbd[172]: [2007/09/01 20:22:17, 0] nmbd/nmbd_packets.c:process_nmb_request(1491)
    192.168.100.11: <27>Sep 1 20:22:17 nmbd[172]: [2007/09/01 20:22:17, 0] nmbd/nmbd_packets.c:process_nmb_request(1491)
    192.168.100.11: <27>Sep 1 20:22:17 nmbd[172]: process_nmb_request: Multihomed registration request must be directed at a WINS server.
    192.168.100.11: <27>Sep 1 20:22:17 nmbd[172]: process_nmb_request: Multihomed registration request must be directed at a WINS server.
    192.168.100.11: <27>Sep 1 20:22:17 nmbd[172]: [2007/09/01 20:22:17, 0] nmbd/nmbd_packets.c:process_nmb_request(1491)
    192.168.100.11: <27>Sep 1 20:22:17 nmbd[172]: [2007/09/01 20:22:17, 0] nmbd/nmbd_packets.c:process_nmb_request(1491)
    192.168.100.11: <27>Sep 1 20:22:17 nmbd[172]: process_nmb_request: Multihomed registration request must be directed at a WINS server.
    192.168.100.11: <27>Sep 1 20:22:17 nmbd[172]: process_nmb_request: Multihomed registration request must be directed at a WINS server.
    192.168.100.11: <27>Sep 1 20:22:20 nmbd[172]: [2007/09/01 20:22:20, 0] nmbd/nmbd_packets.c:process_nmb_request(1491)
    192.168.100.11: <27>Sep 1 20:22:20 nmbd[172]: [2007/09/01 20:22:20, 0] nmbd/nmbd_packets.c:process_nmb_request(1491)
    192.168.100.11: <27>Sep 1 20:22:20 nmbd[172]: process_nmb_request: Multihomed registration request must be directed at a WINS server.
    192.168.100.11: <27>Sep 1 20:22:20 nmbd[172]: process_nmb_request: Multihomed registration request must be directed at a WINS server.
    192.168.100.11: <27>Sep 1 20:22:20 nmbd[172]: [2007/09/01 20:22:20, 0] nmbd/nmbd_packets.c:process_nmb_request(1491)
    192.168.100.11: <27>Sep 1 20:22:20 nmbd[172]: [2007/09/01 20:22:20, 0] nmbd/nmbd_packets.c:process_nmb_request(1491)
    192.168.100.11: <27>Sep 1 20:22:20 nmbd[172]: process_nmb_request: Multihomed registration request must be directed at a WINS server.
    192.168.100.11: <27>Sep 1 20:22:20 nmbd[172]: process_nmb_request: Multihomed registration request must be directed at a WINS server.
    192.168.100.11: <27>Sep 1 20:22:20 nmbd[172]: [2007/09/01 20:22:20, 0] nmbd/nmbd_packets.c:process_nmb_request(1491)
    192.168.100.11: <27>Sep 1 20:22:20 nmbd[172]: [2007/09/01 20:22:20, 0] nmbd/nmbd_packets.c:process_nmb_request(1491)
    192.168.100.11: <27>Sep 1 20:22:20 nmbd[172]: process_nmb_request: Multihomed registration request must be directed at a WINS server.
    192.168.100.11: <27>Sep 1 20:22:20 nmbd[172]: process_nmb_request: Multihomed registration request must be directed at a WINS server.

     
  • jstrebel
    jstrebel
    2007-11-28

    Logged In: YES
    user_id=1027865
    Originator: NO

    Hi,
    I have the suspicion that Bug 1829938 and this bug have something in common. I have added the external syslog output of 1829938 in the bugreport.
    I do not see anything meaningful, may be I overlook something.

    Jakob

     
  • eSpy
    eSpy
    2008-01-14

    Logged In: YES
    user_id=1954145
    Originator: NO

    I can confirm this bug (somehow). I got 2 Blowfish encrypted SATA2 Disks (no raid) on an Athlon XP 1600+.
    When I Transfer a large amount of files e.g. syncing the whole disk to another, the system crashes or looses
    the mount point. This doesnt seem to happen if I copy data from IDE to SATA.

    It could be caused:
    a) by the driver of the controller
    b) the controller itself due to too much load on the bus
    c) too slow cpu for de- and encryption (while the tansfer its @ ~100%).

    I got 1GB of RAM which is at no point at its full capacitiy and a Promise SATA300 TX4.

    Cheers,
    Gerrtit

     
  • I have the same problem with the 0.69 version

    when I copy all the files from the FreeNas to my computer, I have 18GB of data, the server reboots

    and its rebuilding the raid config.

    im not using RSYNC or something like that just the samba share from FreeNas.

    The older version did not has this problem